> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Download by token

> Download a media by download token. **No authentication required**



## OpenAPI

````yaml get /media/{id}/download/{token}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /media/{id}/download/{token}:
    parameters: []
    get:
      tags:
        - Media
      summary: Download by token
      description: Download a media by download token. **No authentication required**
      operationId: downloadMediaByToken
      parameters:
        - name: id
          in: path
          description: Media identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: token
          in: path
          description: Media identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Media file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '400':
          description: Token invalid or not provided
        '403':
          description: Access denied or token expired
        '404':
          description: Media not found
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /media/{id}/download/{token} \
             --header "Authorization: Bearer <token>"
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````